Debian DSA-5346-1:libde265 - 安全更新

critical Nessus 插件 ID 171376

简介

远程 Debian 主机上缺少一个或多个与安全性相关的更新。

描述

远程 Debian 11 主机上安装的程序包受到 dsa-5346 公告中提及的多个漏洞影响。

- libde265 v1.0.4 在 put_epel_hv_fallback 函数中包含一个堆缓冲区溢出漏洞,攻击者可通过特制的文件加以利用。(CVE-2020-21594)

- libde265 v1.0.4 在 mc_luma 函数中包含一个堆缓冲区溢出漏洞,攻击者可通过特制的文件加以利用。(CVE-2020-21595)

- libde265 v1.0.4 在 decode_CBAC_bit 函数中包含一个全局缓冲区溢出漏洞,攻击者可通过特制的文件加以利用。(CVE-2020-21596)

- libde265 v1.0.4 在 mc_chroma 函数中包含一个堆缓冲区溢出漏洞,攻击者可通过特制的文件加以利用。 (CVE-2020-21597)

- libde265 v1.0.4 在 ff_hevc_put_unweighted_pred_8_sse 函数中包含一个堆缓冲区溢出漏洞,攻击者可通过特制的文件加以利用。(CVE-2020-21598)

- libde265 v1.0.4 的 de265_image: : available_zscan 函数中存在堆缓冲存溢出漏洞,攻击者可通过特制的文件利用此漏洞。(CVE-2020-21599)

- libde265 v1.0.4 在 put_weighted_pred_avg_16_fallback 函数中包含一个堆缓冲区溢出漏洞,攻击者可通过构建的文件加以利用。(CVE-2020-21600)

- libde265 v1.0.4 在 put_qpel_fallback 函数中包含一个堆栈缓冲区溢出漏洞,攻击者可通过构建的文件加以利用。(CVE-2020-21601)

- libde265 v1.0.4 在 put_weighted_bipred_16_fallback 函数中包含一个堆缓冲区溢出漏洞,攻击者可通过构建的文件加以利用。(CVE-2020-21602)

- libde265 v1.0.4 在 put_qpel_0_0_fallback_16 函数中包含一个堆缓冲区溢出漏洞,攻击者可通过构建的文件加以利用。(CVE-2020-21603)

- libde265 v1.0.4 在 _mm_loadl_epi64 函数中包含一个堆缓冲区溢出错误,攻击者可通过构建的文件加以利用。(CVE-2020-21604)

- libde265 v1.0.4 在 apply_sao_internal 函数中包含一个分段错误,攻击者可通过构建的文件加以利用。(CVE-2020-21605)

- libde265 v1.0.4 在 put_epel_16_fallback 函数中包含一个堆缓冲区溢出错误,攻击者可通过构建的文件加以利用。(CVE-2020-21606)

- 由于 slice.cc 中的 SEGV,libde265 v1.0.8 中存在访问控制错误漏洞。
(CVE-2021-35452)

- 在 libde265 v1.0.8 中发现一个问题。使用 dec265 解码文件时,intrapred.h 中会发生堆释放后使用。(CVE-2021-36408)

- 在 libde265 v1.0.8 中,解码文件时,sps.cc:925 会发生“scaling_list_pred_matrix_id_delta==1”断言失败,攻击者可通过运行包含特制文件的应用程序造成拒绝服务 (DoS),也可能造成其他不明影响。(CVE-2021-36409)

- 在 libde265 v1.0.8 中,当运行 dec265 程序时,通过 put_epel_hv_fallback 函数中的 fallback-motion.cc 可造成堆栈缓冲区溢出。(CVE-2021-36410)

- 在 libde265 v1.0.8 中发现由访问控制错误而导致的问题。在 deblock.cc 的 derive_boundaryStrength 函数中发生由读取内存访问造成的 SEGV 问题。该漏洞会造成分段错误和应用程序崩溃,进而导致远珵拒绝服务。(CVE-2021-36411)

- 在低于且包含 1.0.8 版本的 GitHub 存储库 strukturag/libde265 中存在基于堆的缓冲区溢出 。此补丁已在提交 8e89fe0e175d2870c39486fdd09250b230ec10b8 中建立,但尚未正式发布。(CVE-2022-1253)

- 发现 Libde265 v1.0.8 包含一个通过 sse-motion.cc 中的 ff_hevc_put_hevc_epel_pixels_8_sse 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43235)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 put_qpel_fallback<unsigned short> 进行的堆栈缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43236)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 void put_epel_hv_fallback<unsigned short> 进行的堆栈缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43237)

- 发现 Libde265 v1.0.8 包含一个通过 sse-motion.cc 中的 ff_hevc_put_hevc_qpel_h_3_v_3_sse 进行的未知崩溃漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43238)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 mc_chroma<unsigned short> 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43239)

- 发现 Libde265 v1.0.8 包含一个通过 sse-motion.cc 中的 ff_hevc_put_hevc_qpel_h_2_v_1_sse 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43240)

- 发现 Libde265 v1.0.8 包含一个通过 sse-motion.cc 中的 ff_hevc_put_hevc_qpel_v_3_8_sse 进行的未知崩溃漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43241)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 mc_luma<unsigned char> 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43242)

- 发现 Libde265 v1.0.8 包含一个通过 sse-motion.cc 中的 ff_hevc_put_weighted_pred_avg_8_sse 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43243)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 put_qpel_fallback<unsigned short> 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43244)

- 发现 Libde265 v1.0.8 包含一个通过 sao.cc 中的 apply_sao_internal<unsigned short> 进行的分段违规漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43245)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 put_weighted_pred_avg_16_fallback 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43248)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 put_epel_hv_fallback<unsigned short> 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43249)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 put_qpel_0_0_fallback_16 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43250)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 put_epel_16_fallback 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43252)

- 发现 Libde265 v1.0.8 包含一个通过 fallback-motion.cc 中的 put_unweighted_pred_16_fallback 进行的堆缓冲区溢出漏洞。此漏洞可让攻击者通过特制的视频文件造成拒绝服务 (DoS)。 (CVE-2022-43253)

- Libde265 1.0.9 容易受到函数 void put_qpel_fallback<unsigned short> 中缓冲区溢出的影响 (CVE-2022-47655)

请注意,Nessus 尚未测试这些问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

升级 libde265 程序包。

对于稳定发行版本 (bullseye),这些问题已在 1.0.11-0+deb11u1 版本中解决。

另见

https://packages.debian.org/source/bullseye/libde265

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1004963

https://security-tracker.debian.org/tracker/source-package/libde265

https://www.debian.org/security/2023/dsa-5346

https://security-tracker.debian.org/tracker/CVE-2020-21594

https://security-tracker.debian.org/tracker/CVE-2020-21595

https://security-tracker.debian.org/tracker/CVE-2020-21596

https://security-tracker.debian.org/tracker/CVE-2020-21597

https://security-tracker.debian.org/tracker/CVE-2020-21598

https://security-tracker.debian.org/tracker/CVE-2020-21599

https://security-tracker.debian.org/tracker/CVE-2020-21600

https://security-tracker.debian.org/tracker/CVE-2020-21601

https://security-tracker.debian.org/tracker/CVE-2020-21602

https://security-tracker.debian.org/tracker/CVE-2020-21603

https://security-tracker.debian.org/tracker/CVE-2020-21604

https://security-tracker.debian.org/tracker/CVE-2020-21605

https://security-tracker.debian.org/tracker/CVE-2020-21606

https://security-tracker.debian.org/tracker/CVE-2021-35452

https://security-tracker.debian.org/tracker/CVE-2021-36408

https://security-tracker.debian.org/tracker/CVE-2021-36409

https://security-tracker.debian.org/tracker/CVE-2021-36410

https://security-tracker.debian.org/tracker/CVE-2021-36411

https://security-tracker.debian.org/tracker/CVE-2022-1253

https://security-tracker.debian.org/tracker/CVE-2022-43235

https://security-tracker.debian.org/tracker/CVE-2022-43236

https://security-tracker.debian.org/tracker/CVE-2022-43237

https://security-tracker.debian.org/tracker/CVE-2022-43238

https://security-tracker.debian.org/tracker/CVE-2022-43239

https://security-tracker.debian.org/tracker/CVE-2022-43240

https://security-tracker.debian.org/tracker/CVE-2022-43241

https://security-tracker.debian.org/tracker/CVE-2022-43242

https://security-tracker.debian.org/tracker/CVE-2022-43243

https://security-tracker.debian.org/tracker/CVE-2022-43244

https://security-tracker.debian.org/tracker/CVE-2022-43245

https://security-tracker.debian.org/tracker/CVE-2022-43248

https://security-tracker.debian.org/tracker/CVE-2022-43249

https://security-tracker.debian.org/tracker/CVE-2022-43250

https://security-tracker.debian.org/tracker/CVE-2022-43252

https://security-tracker.debian.org/tracker/CVE-2022-43253

https://security-tracker.debian.org/tracker/CVE-2022-47655

插件详情

严重性: Critical

ID: 171376

文件名: debian_DSA-5346.nasl

版本: 1.1

类型: local

代理: unix

发布时间: 2023/2/11

最近更新时间: 2023/9/4

支持的传感器: Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

风险信息

VPR

风险因素: Medium

分数: 6.7

CVSS v2

风险因素: High

基本分数: 7.5

时间分数: 5.9

矢量: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS 分数来源: CVE-2022-1253

CVSS v3

风险因素: Critical

基本分数: 9.8

时间分数: 8.8

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

时间矢量: CVSS:3.0/E:P/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:debian:debian_linux:libde265-0, p-cpe:/a:debian:debian_linux:libde265-dev, p-cpe:/a:debian:debian_linux:libde265-examples, cpe:/o:debian:debian_linux:11.0

必需的 KB 项: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可利用: true

易利用性: Exploits are available

补丁发布日期: 2023/2/10

漏洞发布日期: 2021/9/16

参考资料信息

CVE: CVE-2020-21594, CVE-2020-21595, CVE-2020-21596, CVE-2020-21597, CVE-2020-21598, CVE-2020-21599, CVE-2020-21600, CVE-2020-21601, CVE-2020-21602, CVE-2020-21603, CVE-2020-21604, CVE-2020-21605, CVE-2020-21606, CVE-2021-35452, CVE-2021-36408, CVE-2021-36409, CVE-2021-36410, CVE-2021-36411, CVE-2022-1253, CVE-2022-43235, CVE-2022-43236, CVE-2022-43237, CVE-2022-43238, CVE-2022-43239, CVE-2022-43240, CVE-2022-43241, CVE-2022-43242, CVE-2022-43243, CVE-2022-43244, CVE-2022-43245, CVE-2022-43248, CVE-2022-43249, CVE-2022-43250, CVE-2022-43252, CVE-2022-43253, CVE-2022-47655